OVH Community, votre nouvel espace communautaire.

Mise à jour udev


max_
02/12/2014, 17h51
Le problème peut être contourner en éxécutant la commande suivante avant d'effectuer la mise à jour:

chmod 0 /sbin/udevd

Le problème est l'image d'installation Ubuntu 14.04 devrait être patché très prochainement pour résoudre le problème à la source.

Cheers

LordPhoenix
21/08/2014, 13h44
Je suis confronté au même problème, j'ai creusé un peu et obtenu quelques infos de plus, si ça peut aider quelqu'un à nous dépanner

j'ai tenté un
apt-get install -f udev
et j'ai eu le message d'erreur
invoke-rc.d: initscript udev, action "restart" failed
J'ai donc essayé
service udev restart
et j'ai obtenu
* udev requires hotplug support, not started
...fail!
Je ne sais pas trop ce que ça signifie (Admin-Sys amateur noob inside )

mais si ça peut aider d'autre personne à trouver
Merci.

Cyrix
16/08/2014, 23h34
Je ne sais pas quel programme dépend d'udev.

Cette erreur est apparue suite à l'installation de la distribution et de sa mise à jour.

Comment fait-on pour désactiver udev ?
En aurais-je besoin un jour ?

filoozom
16/08/2014, 18h30
Citation Envoyé par Niloo
Les serveurs ne sont pas livrés avec les noyaux des distributions mais avec des noyaux fabriqués par OVH.
Tu peux tenter d'installer le noyau de ta distribution et de voir si cela se comporte mieux ou non.
Ce n'est pas possible, les VPS Classic tournent sous OpenVZ et on ne sait donc pas modifier le kernel.

Citation Envoyé par Cyrix
L'une comme l'autre commande avec aptitude me renvoie cette erreur :
Code:
 * udev requires hotplug support, not started
   ...fail!
invoke-rc.d: initscript udev, action "restart" failed.
dpkg: error processing package udev (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution*:
 udev
Le noyau serait compilé sans le support de hotplug ?
En effet, le hotplug ne fonctionne pas dans OpenVZ, il faut au minimum un VPS Cloud pour profiter de udev, qui tourne très mal dans des containers puisque ce n'est pas fait pour. Udev est buggué "par design" dans des containers.
Si cette erreur est affichée, c'est que udev a bien été mis à jour mais ne sait pas exécuter le script de post-installation. Ce n'est pas très grave, de toute façon il vaut mieux désactiver udev si possible.

Quel programme dépend d'udev ?

Niloo
10/08/2014, 21h07
Les serveurs ne sont pas livrés avec les noyaux des distributions mais avec des noyaux fabriqués par OVH.
Tu peux tenter d'installer le noyau de ta distribution et de voir si cela se comporte mieux ou non.

Cyrix
10/08/2014, 17h17
Celui fournit avec l'installation :
Code:
cat /proc/version
Linux version 2.6.32-042stab092.3 (root@kbuild-rh6-x64) (gcc version 4.4.6 20120305 (Red Hat 4.4.6-4) (GCC) ) #1 SMP Sun Jul 20 13:27:24 MSK 2014
Je suis étonné d'avoir un 2.6 avec Ubuntu 14.04.

Niloo
10/08/2014, 17h01
Quel noyau utilises-tu ?

Cyrix
10/08/2014, 15h39
L'une comme l'autre commande avec aptitude me renvoie cette erreur :
Code:
 * udev requires hotplug support, not started
   ...fail!
invoke-rc.d: initscript udev, action "restart" failed.
dpkg: error processing package udev (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution*:
 udev
Le noyau serait compilé sans le support de hotplug ?

filoozom
10/08/2014, 14h22
Essaye un
Code:
aptitude -f install udev
ou
Code:
aptitude -f install libudev1
Je ne sais plus lequel a réglé mon problème, c'est lié à un problème de dépendences.
Par contre, sur les VPS Classic basés sur OpenVZ udev ne fonctionne pas vraiment très bien.

Cyrix
08/08/2014, 11h19
Je viens de faire un :
Code:
apt-get update && apt-get upgrade && apt-get dist-upgrade
Cela ne change rien.
Il me semble qu'un dist-upgrade inclue le upgrade, non ?

D'autres idées ?

Niloo
08/08/2014, 11h02
apt-get upgrade ?

Ce qui donnerai :
apt-get update && apt-get upgrade && apt-get dist-upgrade

Cyrix
08/08/2014, 10h15
Bonjour,

J’administre depuis peu un VPS Classic sous Ubuntu server 14.04, la mise à jour de udev et libudev1 ne se font pas après un :
Code:
apt-get update && apt-get dist-upgrade
J'ai loupé quelque chose ?